org.apache.fop.layoutmgr.table

## Class TableContentPosition

- java.lang.Object
- - org.apache.fop.layoutmgr.Position
  - - org.apache.fop.layoutmgr.table.TableContentPosition

    public class TableContentPosition
    extends Position

This class represents a Position specific to TableContentLayoutManager. Used for normal content cases.

### Field Summary

Fields
`protected List<org.apache.fop.layoutmgr.table.CellPart>` `cellParts` the list of CellParts making up this position
`static int` `FIRST_IN_ROWGROUP` The position is the first of the row group.
`protected int` `flags` flags for the position
`static int` `LAST_IN_ROWGROUP` The position is the last of the row group.

### Constructor Summary

Constructors
`protected` `TableContentPosition(LayoutManager lm, List<org.apache.fop.layoutmgr.table.CellPart> cellParts, EffRow row)` Creates a new TableContentPosition.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `generatesAreas()`
`boolean` `getFlag(int which)` Returns a flag for this GridUnit.
`Position` `getPosition()` Overridden by NonLeafPosition to return the Position of its child LM.
`void` `setFlag(int which, boolean value)` Sets a flag on a GridUnit.
`String` `toString()`

### Methods inherited from class org.apache.fop.layoutmgr.Position

`getIndex, getLM, getLM, getPosition, getShortLMName, setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIRST_IN_ROWGROUP

    public static final int FIRST_IN_ROWGROUP

The position is the first of the row group.

See Also:
  Constant Field Values

#### LAST_IN_ROWGROUP

    public static final int LAST_IN_ROWGROUP

The position is the last of the row group.

See Also:
  Constant Field Values

#### cellParts

    protected List<org.apache.fop.layoutmgr.table.CellPart> cellParts

the list of CellParts making up this position

#### flags

    protected int flags

flags for the position

### Constructor Detail

#### TableContentPosition

    protected TableContentPosition(LayoutManager lm,
                                   List<org.apache.fop.layoutmgr.table.CellPart> cellParts,
                                   EffRow row)

Creates a new TableContentPosition.

Parameters:
  `lm` - applicable layout manager
  `cellParts` - the list of CellPart instances
  `row` - effective row this position belongs to

### Method Detail

#### getFlag

    public boolean getFlag(int which)

Returns a flag for this GridUnit.

Parameters:
  `which` - the requested flag
Returns:
  the value of the flag

#### setFlag

    public void setFlag(int which,
                        boolean value)

Sets a flag on a GridUnit.

Parameters:
  `which` - the flag to set
  `value` - the new value for the flag

#### generatesAreas

    public boolean generatesAreas()

Overrides:
  `generatesAreas` in class `Position`
Returns:
  true if generates areas

#### toString

    public String toString()

Overrides:
  `toString` in class `Position`

#### getPosition

    public Position getPosition()

Description copied from class: `Position`
Overridden by NonLeafPosition to return the Position of its child LM.

Overrides:
  `getPosition` in class `Position`
Returns:
  a position or null